/* Miligram overrides */
body {
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: 400;
}

.top-nav-links,
.side-nav,
h1, h2, h3, h4, h5, h6 {
    font-family: "Raleway", sans-serif;
}

h1, h2, h3, h4, h5, h6 {
    font-weight: 400;
    color: #363637;
}

a {
    color:#2f85ae;
    -webkit-transition:all 0.2s linear;
    transition:all 0.2s linear;
}

a:hover,
a:focus,
a:active  {
    color:#2a6496;
    -webkit-transition:all 0.2s easeout;
    transition:all 0.2s ease-out;
}

.side-nav a,
.top-nav-links a,
th a,
.actions a {
    color: #606c76;
}

.side-nav a:hover,
.side-nav a:focus,
.actions a:hover,
.actions a:focus {
    color:#2f85ae;
}

/* Utility */
.table-responsive {
    display: block;
    width: 100%;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
}

/* Main */
body {
    background: #f5f7fa;
}
.content {
    padding: 2rem;
    background: #ffffff;
    border-radius: 0.4rem;
    /* Thanks Stripe */
    box-shadow: 0 7px 14px 0 rgba(60, 66, 87, 0.1),
        0 3px 6px 0 rgba(0, 0, 0, 0.07);
}
.actions a {
    font-weight: bold;
    padding: 0 0.4rem;
}
th {
    white-space: nowrap;
}

/* Nav bar */
.top-nav {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-width: 112rem;
    padding: 2rem;
    margin: 0 auto 2rem;
}
.top-nav-title a {
    font-size: 2.4rem;
    color: #d33c43;
}
.top-nav-title span {
    color: #404041;
}
.top-nav-links a {
    margin: 0 0.5rem;
}
.top-nav-title a,
.top-nav-links a {
    font-weight: bold;
}

.side-nav-item {
    display: block;
    padding: 0.5rem 0;
}

/* View action */
.view.content .text {
    margin-top: 1.2rem;
}
.related {
    margin-top: 2rem;
}

/* Flash messages */
.message {
    padding: 1rem;

    background: #eff8ff;
    color: #2779bd;

    border-color: #6cb2eb;
    border-width: 1px;
    border-style: solid;
    border-radius: 4px;
    margin-bottom: 2rem;
}
.message.hidden {
    display: none;
}
.message.success {
    background: #e3fcec;
    color: #1f9d55;
    border-color: #51d88a;
}
.message.error {
    background: #fcebea;
    color: #cc1f1a;
    border-color: #ef5753;
}

/* Forms */
.input.radio,
.input.checkbox {
    margin-bottom: 2.0rem;
}
.input.radio input,
.input.checkbox input {
    margin: 0;
}
.input.radio label,
.input.checkbox label {
    margin: 0;
    display: flex;
    align-items: center;
}
.input.radio label > input,
.input.checkbox label > input {
    margin-right: 1.0rem;
}
.input.radio label:first-of-type {
    margin-bottom: 2.0rem;
}

/* Paginator */
.paginator {
    text-align: right;
}
.pagination {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
    margin: 0 0 1rem;
}
.pagination li {
    margin: 0 0.5rem;
}
.prev.disabled a,
.next.disabled a {
    cursor: not-allowed;
    color: #606c76;
}
.asc:after {
    content: " \2193";
}
.desc:after {
    content: " \2191";
}

/* Error */
.error-container {
    align-items: center;
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: center;
}

@media screen and (max-width: 640px) {
    .top-nav {
        margin: 0 auto;
    }
    .side-nav {
        margin-bottom: 1rem;
    }
    .heading {
        margin-bottom: 1rem;
    }
    .side-nav-item {
        display: inline;
        margin: 0 1.5rem 0 0;
    }
    .asc:after {
        content: " \2192";
    }
    .desc:after {
        content: " \2190";
    }
}

/***************************
        *** Perso ***
 ***************************/
.rouge {
    color: #92D050;
}

.c_libre {
    color: white;
}

.c_occupe {
    color: #8EA9DB;
}

/* Pour le calendrier */
.calendrier {
    width: 100%;
    height:100%;
    border:0;
    padding:0;
}

.calendrier_jour{
    padding:0;
    border-bottom: 1px solid #7f7f7f;
    border-right: 1px solid #7f7f7f;
}

.calendrier_jour_gauche {
    padding:0;
    border-left: 1px solid #7f7f7f;
}

.calendrier_jour_haut {
    padding:0;
    border-top: 1px solid #7f7f7f;
}

.case {
    padding:0;
    margin: 0;
    border-collapse: separate;
    height:100%;
}

.case_titre {
    padding:0;
    margin: 0;
    border: 0;
    text-align: center;
    height:100%;
}

.case_presence {
    padding: 0;
    border: 0;
    text-align : center;
    min-width: 100%;
    min-height:100%;
    height:100%;
}

.case_presence_g {
    width: 33%;
    height:100%;
}

.case_presence_m {
    width: 34%;
    height:100%;
}

.case_presence_d {
    width: 33%;
    height:100%;
}

.case_presence_occupe {
    background-color: #8EA9DB;
    border-top: 1px solid #203764;
    border-bottom: 1px solid #203764;
    height:100%;
}

.case_presence_occupe_g {
    /* background-color: #8EA9DB; Ne semble pas servir */
    border-top: 1px solid #203764;
    border-bottom: 1px solid #203764;
    border-left: 1px solid #203764;
    height:100%;
    
    border-radius: 8px 0px 0px 8px;
    overflow: hidden;
    perspective: 1px;
}

.case_presence_occupe_d {
    /* background-color: #8EA9DB; Ne semble pas servir */
    border-top: 1px solid #203764;
    border-bottom: 1px solid #203764;
    border-right: 1px solid #203764;
    height:100%;

    border-radius: 0px 8px 8px 0px;
    overflow: hidden;
    perspective: 1px;
}

.case_presence_libre {
    background-color: white;
    border-top: 1px solid white;
    border-bottom: 1px solid white;
    height:100%;
}

.case_presence_libre_ajout_lit:hover {
    background-color: #A9D08E;

    border-radius: 8px 8px 8px 8px;
    overflow: hidden;
    perspective: 1px;
}

.case_presence_libre_selectionne {
    background-color: #A9D08E;
    border-top: 1px solid #375623;
    border-bottom: 1px solid #375623;
    border-left: 1px solid #375623;

    border-radius: 8px 0px 0px 8px;
    overflow: hidden;
    perspective: 1px;
}

.case_presence_libre_fin_ajout_lit:hover {
    background-color: #A9D08E;

    border-radius: 0px 8px 8px 0px;
    overflow: hidden;
    perspective: 1px;
}

.case_presence_libre_fin_selectionne {
    background-color: #A9D08E;
    border-top: 1px solid #375623;
    border-bottom: 1px solid #375623;
    border-right: 1px solid #375623;

    border-radius: 0px 8px 8px 0px;
    overflow: hidden;
    perspective: 1px;
}

.case_presence_selectionne {
    background-color: #A9D08E;
    border-top: 1px solid #375623;
    border-bottom: 1px solid #375623;
}

.case_presence_occupe_g_poubelle:hover {
    background-color: #F4B084;

    border-radius: 8px 0px 0px 8px;
    overflow: hidden;
    perspective: 1px;
}

.case_presence_occupe_m_poubelle:hover {
    background-color: #F4B084;
}

.case_presence_occupe_g_selectionne {
    background-color: #F4B084;
    border-top: 1px solid #833C0C;
    border-bottom: 1px solid #833C0C;
    border-left: 1px solid #833C0C;

    border-radius: 8px 0px 0px 8px;
    overflow: hidden;
    perspective: 1px;
}

.case_presence_occupe_m_selectionne {
    background-color: #F4B084;
    border-top: 1px solid #833C0C;
    border-bottom: 1px solid #833C0C;
    border-left: 1px solid #833C0C;
}

.case_presence_occupe_fin_suppr_poubelle:hover {
    background-color: #F4B084;

    border-radius: 0px 8px 8px 0px;
    overflow: hidden;
    perspective: 1px;
}

.case_presence_occupe_fin_selectionne_d {
    background-color: #F4B084;
    border-top: 1px solid #833C0C;
    border-bottom: 1px solid #833C0C;
    border-right: 1px solid #833C0C;

    border-radius: 0px 8px 8px 0px;
    overflow: hidden;
    perspective: 1px;
}

.case_presence_occupe_fin_selectionne_m {
    background-color: #F4B084;
    border-top: 1px solid #833C0C;
    border-bottom: 1px solid #833C0C;
    border-right: 1px solid #833C0C;
}

.case_absence_selectionne {
    background-color: #F4B084;
    border-top: 1px solid #833C0C;
    border-bottom: 1px solid #833C0C;
}

.lit-rouge {
    color:  red;
}

.lit-vert {
    color:  green;
}

.hidden {
    visibility: hidden;
}

.hiddenAndDimension {
    visibility: hidden;
    display:none;
}

.invisible {
    display: none;
}

#bouton_calendrier {
    background-color: #8497B0;
    border: 0.1rem solid #222B35;
    color: grey;
    margin-left: 1px;
}

#bouton_reset {
    background-color: #FFD966;
    border: 0.1rem solid #806000;
    color: grey;
    margin-left: 1px;
}

#bouton_ajouter {
    background-color: #A9D08E;
    border: 0.1rem solid #375623;
    color: grey;
    margin-left: 1px;
}

#bouton_supprimer {
    background-color: #F4B084;
    border: 0.1rem solid #833C0C;
    color: grey;
}

/* TOOLTIP */
.encadre {
    border:1px solid #222B35;
    background-color: #8497B0;
    color: white;
    padding: 4px;

    border-radius: 5px 5px 5px 5px;
    overflow: hidden;
    perspective: 1px;
}

/* Pour changer de mois */
.changerCalendrier {
    text-align: center;
}

/* Pour les conges */
.conges {
    width: 100%;
    height: 100%;
    border: 0;
    padding: 0;
}

.case_conges {
    border-right: 1px solid;
    border-bottom: 1px solid;
    text-align: center;
    font-size : 15px;
    padding: 1px;
    max-width: 15px;
    max-height: 15px;
}

.case_conges_haut {
    border-top: 1px solid;
}

.case_conges_gauche {
    border-left: 1px solid;
}

.case_conges_bas {
    border-bottom: 1px solid;
}

.listeTypeConges {
    max-width: 30%;
    margin-right: 1px;
}

.jour_inexistant {
    background: repeating-linear-gradient( -45deg, white, white 3px, grey 3px, grey 6px);
    min-height: 100%;
}

/* Pour les statistiques */
.bouton-vert {
    color:green;
}

.bouton-rouge {
    color:red;
}

/* Pour le planning mobile */
.occupe {
    background-color: #FFC7CE;
}

.libre {
    background-color: #C6EFCE;
}

.nonAse {
    background-color: #FFEB9C;
}

.tdCalendrierMobile {
    padding: 0.8rem !important;
    text-align: center;
}

